Sets the field to collapse on

- « SolrCollapseFunction::getSize

- SolrCollapseFunction::setHint »

- PHP Manual
- SolrCollapseFunction
- Sets the field to collapse on

# SolrCollapseFunction::setField

(PECL solr >= 2.2.0)

SolrCollapseFunction::setField — Sets the field to collapse on

### Description

public SolrCollapseFunction::setField(string `$fieldName`): SolrCollapseFunction

The field name to collapse on. In order to collapse a result. The field type must be a single valued String, Int or Float.

### Parameters

`fieldName`

### Return Values

SolrCollapseFunction